/**
 * @(#)GameEventProvider.java
 * 
 *  Copyright Anthony Yakovlev <yakovlev@rain.ifmo.ru> and Michail Lukin <michail@users.msn.com>
 */

package ru.ifmo.knim.providers;

import com.evelopers.unimod.runtime.EventProvider;
import com.evelopers.unimod.runtime.ModelEngine;
import ru.ifmo.knim.main.GamePlay;

/**
 * Events that are send by game core
 * @author Anthony Yakovlev
 */
public class GameEventProvider implements EventProvider {
	
    /**
	* @unimod.event.descr  .
	*/
	public static final String E20 = "e20";
	/**
	* @unimod.event.descr   
	*/
	public static final String E21 = "e21";
	/**
	* @unimod.event.descr  
	*/
	public static final String E22 = "e22";
	/**
	* @unimod.event.descr  
	*/
	public static final String E23 = "e23";
	/**
	* @unimod.event.descr 
	*/
	public static final String E24 = "e24";

	/* (non-Javadoc)
     * @see com.evelopers.unimod.runtime.EventProvider#init(com.evelopers.unimod.runtime.EventHandler, com.evelopers.unimod.core.stateworks.StateMachine)
     */
    public void init(ModelEngine engine) {

    	GamePlay.getGamePlay().init(engine);
    }
    
    /* (non-Javadoc)
     * @see com.evelopers.unimod.runtime.EventProvider#dispose()
     */
    public void dispose() {
    }

}
