/**
 * @(#)InterfaceManipulator.java
 * 
 *  Copyright Anthony Yakovlev <yakovlev@rain.ifmo.ru> and Michail Lukin <michail@users.msn.com>
 */

package ru.ifmo.knim.controlled;

import javax.swing.*;

import ru.ifmo.knim.main.MoveResult;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

/**
 * Class that controls the interface
 * @author Anthony Yakovlev
 */
public class InterfaceManipulator implements ControlledObject {
	/**
	*@unimod.action.descr  " "
	*/
	public void z1(StateMachineContext context) {
		JOptionPane.showMessageDialog(null, " !");
	}

	/**
	*@unimod.action.descr    
	*/
	public boolean x1(StateMachineContext context) {
		// fake by AY
		MoveResult move = (MoveResult) context.getEventContext().getParameter("AIMove");
		if (move.isGameOver) {
			return false;
		}
		return JOptionPane.YES_OPTION == JOptionPane.showConfirmDialog(null, "  ?", " ", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
	}
	
	/**
	*@unimod.action.descr    
	*/
	public boolean x2(StateMachineContext context) {
		// fake by AY
		MoveResult move = (MoveResult) context.getEventContext().getParameter("AIMove");
		if (!move.isGameOver) {
			return false;
		}
		return JOptionPane.YES_OPTION == JOptionPane.showConfirmDialog(null, "  ?", " !", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
	}

	/**
	*@unimod.action.descr  " "
	*/
	public void z2(StateMachineContext context) {
		JOptionPane.showMessageDialog(null, 
				"  \n" +
				"  &   \n",
				" ",
				JOptionPane.INFORMATION_MESSAGE
		);				
	}
}
